__all__ = ('Flags',)

Q_FLAG = '<?>'


class Flags:
    default: str

    def __init__(self, flags: str):
        self.flags: str = flags

    def quable(self) -> bool:
        return Q_FLAG in self.flags

    def deq(self) -> str:
        return Flags(self.flags.replace(Q_FLAG, '')).deq() if self.quable() else self.flags

    def enq(self) -> str:
        return self.flags if self.quable() else self.flags + Q_FLAG


Flags.default = Flags('<unedited>').enq()
